.modal-toggler {
  display: none;
}

.modal-bg {
  visibility: hidden;
  opacity: 0;
}

.modal-toggler:checked + .modal-bg {
  opacity: 1;
  visibility: visible;
  transition: opacity .4s;
}

.modal-bg {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255,255,255,.5);
  display: table;
  z-index: 99;
}

.modal {
  background-color: #fff;
  padding: 20px 40px;
  max-width: 500px;
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 100;
  border: 1px solid #0f88eb;
  transform: translate3d(-50%, -50%, 0);
  -webkit-font-smoothing: antialiased;
}

.show-modal-btn,
.close-modal-btn {
  font-size: 16px;
  margin-top: 50px;
  display: inline-block;
  border: 1px solid #0f88eb;
  padding: 18px 30px;
}

.show-modal-btn:hover,
.close-modal-btn:hover {
  cursor: pointer;
}
